# Calendar

A Simple Calendar App for Android

I recently searched for a calendar app on the Android markets, but didn't find one that satisfied my needs. So I created my own 😁. Hope you like it.


## About

Calendar can do the following:

- Add appointments
- Show appointments for a particular day
- Easily switch between consecutive days
- Send reminder notifications for upcoming appointments
- Create a batch of recurring appointments
- Send a daily overview notification with your appointments for that day
- Send sleep reminder notifications (because we're humans and humans don't have the discipline to maintain a regular sleep schedule)
- Automatically delete old appointments
- Create and load backups of your appointments
- Some other small things not worth mentioning


## Installation

Calendar is available on the Google Play Store. Visit [this page](https://play.google.com/store/apps/details?id=be.bitscuit.calendar) to install the app on your device.

You could also build Calendar from source, but that's a bit more involved:

- Download the source code: `git clone https://git.bitscuit.be/bitscuit/Calendar`
- Open the project in Android Studio.
- Connect your smartphone to your computer and enable `USB-debugging` under `Developer Settings` on your phone.
- Click the green play button in Android Studio to build and run the code.
- Calendar is now installed on your phone 🥳


## Contributing

Want to help develop Calendar? Awesome!

Feel free to fork this repository, add new features and submit a pull request. Thanks!


## Disclaimer

Copyright 2021 Thomas Van Acker

This project is available under the [GPLv3 license](https://www.gnu.org/licenses/gpl-3.0.en.html). This program comes with ABSOLUTELY NO WARRANTY.

I am not resposible for any damage that may be caused by this software. USE AT YOUR OWN RISK.


